Bug 109879 - up2date-config shows proxy password in clear text
Summary: up2date-config shows proxy password in clear text
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-12 17:10 UTC by Howard Feiock
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-13 14:56:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Howard Feiock 2003-11-12 17:10:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When you run up2date-config and enter your proxy information, the 
password is shown in clear text on the configuration screen.  This 
would be fine with me if I were our only administrator, but other 
people can gain access to my password this way.

Version-Release number of selected component (if applicable):
up2date-4.0.1-1

How reproducible:
Always

Steps to Reproduce:
1.run up2date-config
2.enter proxy password
3.view list of settings and see your password
    

Actual Results:  My password is displayed under 26. proxyPassword

Expected Results:  It should show asterisks or something.

Additional info:

I've reproduced this error on three machines.  I saw the bugzilla 
report about this (#6953), but it was closed and it was release 6.1.


Note You need to log in before you can comment on or make changes to this bug.